> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a spending plan iteration item

> Use this endpoint to update an existing `spending_plan_iteration_item`.



## OpenAPI

````yaml openapi/nexus/v1.yaml PUT /spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid}:
    put:
      tags:
        - spending plan
      summary: Update a spending plan iteration item
      description: Use this endpoint to update an existing `spending_plan_iteration_item`.
      operationId: updateSpendingPlanIterationItem
      parameters:
        - description: The unique ID for the `spending_plan`.
          example: SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262
          in: path
          name: spending_plan_guid
          required: true
          schema:
            type: string
        - description: The unique ID for the `iteration_item`.
          example: SII-a4dc1549-da28-1245-9c9c-53eee4cdfbe3
          in: path
          name: iteration_item_guid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/vnd.mx.nexus.v1+json:
            schema:
              $ref: '#/components/schemas/SpendingPlanIterationItemCreateRequestBody'
        description: Iteration item to be updated with required parameter (planned_amount)
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/SpendingPlanIterationItemResponseBody'
          description: OK
components:
  schemas:
    SpendingPlanIterationItemCreateRequestBody:
      properties:
        category_guid:
          example: CAT-40faf068-abb4-405c-8f6a-e883ed541fff
          type: string
        item_type:
          example: 1
          type: number
        planned_amount:
          example: 110
          type: number
        scheduled_payment_guid:
          example: SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b
          type: string
        top_level_category_guid:
          example: CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8
          type: string
      required:
        - planned_amount
      type: object
    SpendingPlanIterationItemResponseBody:
      properties:
        iteration_item:
          $ref: '#/components/schemas/SpendingPlanIterationItemResponse'
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    SpendingPlanIterationItemResponse:
      properties:
        actual_amount:
          example: 345
          nullable: true
          type: number
          description: >-
            The sum of the transactions associated with the
            `spending_plan_iteration_item`.
        category_guid:
          example: CAT-40faf068-abb4-405c-8f6a-e883ed541fff
          nullable: true
          type: string
          description: >-
            The unique identifier for the `category_guid` associated with the
            `spending_plan_iteration_item`. Defined by MX.
        created_at:
          example: '2016-10-13T18:08:00+00:00'
          nullable: true
          type: string
          description: >-
            The date and time at which the `spending_plan_iteration_item` was
            created.
        guid:
          example: SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262
          nullable: true
          type: string
          description: >-
            The unique identifier for the `spending_plan_iteration_item`.
            Defined by MX.
        item_type:
          example: '0'
          nullable: true
          type: string
          description: >-
            The type of transaction grouping for the
            `spending_plan_iteration_item`. 0 = RECURRING_EXPENSE, 1 =
            PLANNED_EXPENSE, 2 = OTHER_EXPENSE, 3 = INCOME.
        planned_amount:
          example: 345
          nullable: true
          type: number
          description: The total amount planned for a `spending_plan_iteration_item`.
        scheduled_payment_guid:
          example: SCP-54bed778-6600-4262-908c-8822f141cc30
          nullable: true
          type: string
          description: >-
            The unique identifier for the `scheduled_payment_guid` associated
            with the `spending_plan_iteration_item`. Defined by MX.
        spending_plan_iteration_guid:
          example: SPI-848e6648-3fa3-4632-ac8f-e65f03167102
          nullable: true
          type: string
          description: >-
            The unique identifier for the `spending_plan_iteration_item`.
            Defined by MX.
        top_level_category_guid:
          example: CAT-50af068-abb4-405c-8f6a-e883ed541f4f
          nullable: true
          type: string
          description: >-
            The unique identifier for the `top_level_category_guid` associated
            with the `spending_plan_iteration_item`. Defined by MX.
        transaction_guids:
          items:
            example: TRN-265abee9-889b-af6a-c69b-25157db2bdd9
            nullable: true
            type: string
          type: array
          description: >-
            An array of transaction GUIDs that are relevant to the
            `spending_plan_iteration_item`. Defined by MX.
        updated_at:
          example: '2016-10-13T18:09:00.000Z'
          nullable: true
          type: string
          description: >-
            The date and time at which the `spending_plan_iteration_item` was
            most recently updated.
        user_guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
          description: >-
            The unique identifier for the user to which the
            `spending_plan_iteration_item` belongs. Defined by MX.
      type: object
    PaginationResponse:
      properties:
        current_page:
          type: integer
          example: 1
        per_page:
          example: 25
          type: integer
        total_entries:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 1
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````